### Method

# Hinawa CycleTime compute_tstamp

since: 2.6

#### Declaration [src]

    void
    hinawa_cycle_time_compute_tstamp (
      const HinawaCycleTime* self,
      guint tstamp,
      guint* isoc_cycle
    )

#### Description [src]

Compute second count and cycle count from unsigned 16 bit integer value retrieved by Asynchronous Transmit (AT), Asynchronous Receive(AR), Isochronous Transmit (IT), and Isochronous Receive (IR) contexts of 1394 OHCI. The second count is completed with the internal value read from the CYCLE_TIME register. For the precise computation, the method should be called in the condition that the timing between receipt of time stamp and access to CYCLE_TIME register is within 8 seconds.

Available since: 2.6

#### Parameters

`tstamp`

  Type: `guint`

  The value of time stamp retrieved from each context of 1394 OHCI.

`isoc_cycle`

  Type: An array of `guint`

  The result to parse the time stamp. The first element is for 7 bits of second field in the format of IEEE 1394 CYCLE_TIME register, up to 127. The second element is for 13 bits of cycle field in the format, up to 7,999.

  The argument will be set by the function.
  The array must have 2 elements.
  The returned data is owned by the instance.